> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Anomalies

> Detected anomalies — for the alerts feed and socials content.



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json get /v1/scores/anomalies
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/scores/anomalies:
    get:
      tags:
        - scores
      summary: Anomalies
      description: Detected anomalies — for the alerts feed and socials content.
      operationId: anomalies_v1_scores_anomalies_get
      parameters:
        - name: window
          in: query
          required: false
          schema:
            type: string
            pattern: ^(1h|6h|24h|7d|30d)$
            default: 24h
            title: Window
        - name: severity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^(critical|warning|info)$
              - type: 'null'
            title: Severity
        - name: vault_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Vault Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 50
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````